<div class="coc-referral-queue">
    <app-content-banner [isDashboard]="false" pageName="CoC Referral Queue [ {{numberOfCoC}} ]"></app-content-banner>
    <mat-card class="coc-main-card mat-elevation-z0">
      <mat-card-header fxLayout="column" fxLayoutGap="10px">
          <div class="top-header-filter regular-mat-form-field" fxLayout="row" fxLayout.lt-md="column" fxLayoutGap="5px">
              <div *ngIf="is_SH_PE || is_CAS" class="pe-left-text">
                <mat-label style="font-weight: 600;">Agency Name: &nbsp;</mat-label>
                <mat-form-field appearance="outline">
                  <mat-select (selectionChange)="onAgencySelected()" [(ngModel)]="selectedAgencyID">
                    <mat-option [value]="0">Select One</mat-option>
                    <mat-option *ngFor="let agency of agencyList" [value]="agency.agencyID">
                      {{agency.agencyNo + ' - ' + agency.agencyName}}
                    </mat-option>
                  </mat-select>
                </mat-form-field>
              </div>
              <div *ngIf="is_SH_HP" class="hp-left-text">
                <mat-label style="font-weight: 600;">Agency Name: &nbsp; </mat-label>
                {{is_SH_HP ? userData.agencyNo + ' - ' + userData.agencyName : ''}}
              </div>
              <div class="middle-text">
                <mat-label style="font-weight: 600;">Site Name: &nbsp;</mat-label>
                <mat-form-field appearance="outline">
                  <mat-select [(ngModel)]="selectedSiteID" (selectionChange)="onSiteSelected()">
                    <mat-option [value]="0">Select One</mat-option>
                    <mat-option *ngFor="let site of siteList" [value]="site.siteID">
                      {{site.siteNo + ' - ' + site.siteName}}
                    </mat-option>
                  </mat-select>
                </mat-form-field>
              </div>
              <div class="right-text">
                <mat-label style="font-weight: 600;">CoC Approval Status: &nbsp;</mat-label>
                <mat-form-field appearance="outline">
                  <mat-select [(ngModel)]="selectedStatusID" (selectionChange)="onStatusSelected()">
                    <mat-option [value]="0">Select One</mat-option>
                    <mat-option *ngFor="let status of approvalStatusList" [value]="status.refGroupDetailID">
                      {{status.refGroupDetailDescription}}
                    </mat-option>
                  </mat-select>
                </mat-form-field>
              </div>
              <!-- <div>
                <button (click)="onGo()" mat-raised-button color="primary">GO</button>
              </div> -->
            </div>
      </mat-card-header>
      <mat-card-content>
        <div class="example-small-box mat-elevation-z4" fxLayout="column">
         <div class="table-filters-header" fxLayout="column"> 
            <div fxLayout="row" fxLayoutAlign="start">
              
              <div class="table-top-icons" fxLayoutAlign="end" fxFlex="auto">
                <mat-icon (click)="refreshAgGrid()" color="primary" matTooltip="Reset the filters">settings_backup_restore
                </mat-icon>
                <mat-icon (click)="onBtExport()" color="primary" matTooltip="Export to Excel">archive</mat-icon>
              </div>
            </div>
          </div>
          <div class="example-container mat-elevation-z4">
              <div fxLayout="row" fxLayout.lt-md="column">
                  <div fxLayout="column" fxLayoutAlign="start" style="width: 100%">
            <ag-grid-angular
              #agGrid id="myGrid"
              style="width: 100%"
              class="ag-theme-balham my-grid"
              [columnDefs]="columnDefs"
              [defaultColDef]="defaultColDef"
              [rowData]="rowData"
              [context]="context"
              [rowSelection]="rowSelection"
              [floatingFilter]="true"
              [animateRows]="true"
              [gridOptions]="gridOptions"
              [pagination]="true"
              [paginationPageSize]="10"
              [frameworkComponents]="frameworkComponents"
               (gridReady)="onGridReady($event)"> 
            </ag-grid-angular>
            </div>
            </div>
          </div>
        </div>
      </mat-card-content>
    </mat-card>
  </div>
  